Package org.apache.jmeter.gui.action

# Class Save

java.lang.Object
org.apache.jmeter.gui.action.AbstractAction
org.apache.jmeter.gui.action.Save

All Implemented Interfaces:
  `Command`

@AutoService(Command.class) public class Save extends AbstractAction
Save the current test plan; implements: Save Save TestPlan As Save (Selection) As

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`JMX_FILE_EXTENSION`

## Constructor Summary

Constructors
Constructor
Description
`Save()`
Constructor for the Save object.

## Method Summary

Modifier and Type
Method
Description
`void`
`doAction(ActionEvent e)`
`Set<String>`
`getActionNames()`
Gets the ActionNames attribute of the Save object.

### Methods inherited from class org.apache.jmeter.gui.action.AbstractAction

`getParentFrame, popupCheckExistingFileListener, popupShouldSave`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### JMX_FILE_EXTENSION

public static final String JMX_FILE_EXTENSION

See Also:
  - Constant Field Values

## Constructor Details

### Save

public Save()
Constructor for the Save object.

## Method Details

### getActionNames

public Set<String> getActionNames()
Gets the ActionNames attribute of the Save object.

Returns:
  the ActionNames value

### doAction

public void doAction(ActionEvent e) throws IllegalUserActionException

Specified by:
  `doAction` in interface `Command`
Overrides:
  `doAction` in class `AbstractAction`
Throws:
  `IllegalUserActionException`
See Also:
  - `Command.doAction(ActionEvent)`